# POST /replicate/v1/models/{models}/predictions

**Method**: `POST`
**Endpoint**: `/replicate/v1/models/{models}/predictions`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

```
"black-forest-labs/flux-1.1-pro-ultra",
"black-forest-labs/flux-1.1-pro",
"black-forest-labs/flux-dev",
"black-forest-labs/flux-pro",
"black-forest-labs/flux-schnell",
"minimax/video-01-live",
"minimax/video-01",
"recraft-ai/recraft-v3",
"recraft-ai/recraft-v3-svg",
"ideogram-ai/ideogram-v2-turbo"
```

For detailed model parameters, check the model request parameters on replicate.com.

## Request Parameters

### Path Parameters

```text
models
string
Required
```

### Header Parameters

```text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
input
object
Required
prompt
string
Required
go_fast
boolean
Optional
megapixels
string
Optional
num_outputs
integer
Optional
aspect_ratio
string
Defaults to 1:1.
Optional
output_format
string
Optional
output_quality
integer
Optional
num_inference_steps
integer
Optional
Example
{
"input"
:
{
"prompt"
:
"black forest gateau cake spelling out the words \"FLUX 1.1 Pro\", tasty, food photography"
,
"prompt_upsampling"
:
true
}
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/replicate/v1/models//predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
      "input": {
            "prompt": "black forest gateau cake spelling out the words \"FLUX 1.1 Pro\", tasty, food photography",
            "prompt_upsampling": true
      }
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{}
```
